<mat-toolbar class="mat-elevation-z3 top-bar-light">
    <div class="section-element">
      <img
        class="logo"
        src="./assets/EMPAIA_workbench_2_0.png"
        alt="Logo">
    </div>
    <div class="section-element" *ngIf="withAuthentication && userData">
      <div class="user-container">
        <span class="user-name top-bar-text">{{userData.userName}}</span>
        <div class="profile-picture-container">
          <img
              class="profile-picture"
              [src]="userProfilePictureUrl ?? FALLBACK_PROFILE"
              alt="Profile picture">
        </div>
        <div class="btn-logout">
          <button mat-stroked-button (click)="onLogout()" color="primary">
            <mat-icon>logout</mat-icon>
            Logout
          </button>
        </div>
      </div>
    </div>
    <!-- <ng-template #notLoggedIn>
        <button mat-icon-button (click)="onLogin()">
          <mat-icon>login</mat-icon>
        </button>
      </ng-template>-->
</mat-toolbar>
